      SUBROUTINE MINTZGESV( N, A, DESCA, B, DESCB, INFO )
*
* MINTZGESV     A  B  N
*    (NPROW, NPCOL)  ,
*     A  B.
*  A , B -   .
*
* 
      INTEGER           DESCA( * ), DESCB( * ), N, INFO
      DOUBLE COMPLEX    A( * ), B( * )
*
*  
      INTEGER            I, J
      DOUBLE COMPLEX     T, MO, Z
*
*  
      EXTERNAL            PZELSET
*
*  
*
      T = (2.0D0, 0.0D0)
      MO = (-1.0D0, 0.0D0)
      Z = (0.0D0, 0.0D0)
*
      DO 20 J = 1, N
      DO 10 I = 1, N
         IF( I.EQ.J ) THEN
             CALL PZELSET( A, I, J, DESCA, T )
         ELSE
             CALL PZELSET( A, I, J ,DESCA, Z )
         END IF
   10 CONTINUE
   20 CONTINUE
*
      CALL PZELSET( A, N, N, DESCA, (1.0D0,0.0D0) )
*
      DO 40 I = 1, N-1
         J = I + 1
         CALL PZELSET( A, I, J, DESCA, MO )
   40 CONTINUE
*
      DO 50 J = 1, N-1
         I = J + 1
         CALL PZELSET( A, I, J, DESCA, MO )
   50 CONTINUE
*
      J = 1
      DO 30 I = 1, N
        CALL PZELSET( B, I, J, DESCB, Z )
   30 CONTINUE
*
      CALL PZELSET( B, N, 1, DESCB, (1.0D0,0.0D0) )
*
      RETURN
      END
